Skip to content

Reserve a LoadBalancer IP

POST
/api/v1/reserve_ips/k8s_ip/{service_id}/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/k8s_ip/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{}'

Reserves a new public IP for the cluster’s LoadBalancer IP pool. The reserved IP can then be attached to a cluster node (see Attach LB IP). The request body is empty. The number of IPs a customer may reserve is capped (customer_max_limit). Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>
Media typeapplication/json

Reserving an IP takes an empty request body.

object

Example

{}

Successful response

Media typeapplication/json
object
code
integer
data
object
ip_address
string
status
string
bought_at
string
reserve_id
integer
reserved_type
string
errors
object
message
string
is_limit_available
boolean
reserved_ip_details
object
customer_max_limit
integer
reserved_ips_count
integer
reserve_ip_price
string
currency
string

Example

{
"code": 200,
"data": {
"ip_address": "203.0.113.20",
"status": "Available",
"bought_at": "30-06-2026 13:11",
"reserve_id": 22279,
"reserved_type": "KubernetesIP"
},
"message": "IP Reserved Successfully.",
"is_limit_available": true,
"reserved_ip_details": {
"customer_max_limit": 10,
"reserved_ips_count": 2
},
"reserve_ip_price": "INR 199.0 (excluding GST)",
"currency": "INR"
}